com.independentsoft.exchange

## Enum MessageFlag

- java.lang.Object
- - java.lang.Enum<MessageFlag>
  - - com.independentsoft.exchange.MessageFlag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageFlag>

      public enum MessageFlag
      extends java.lang.Enum<MessageFlag>

  Contains a bitmask of flags that indicate the origin and current state of a message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATED` The message is an associated message of a folder.
    `FROM_ME` The messaging user sending was the messaging user receiving the message.
    `HAS_ATTACHMENT` The message has at least one attachment.
    `NON_READ_REPORT_PENDING` A nonread report needs to be sent for the message.
    `ORIGIN_INTERNET` The incoming message arrived over the Internet.
    `ORIGIN_MISC_EXTERNAL` The incoming message arrived over an external link other than X.400 or the Internet.
    `ORIGIN_X400` The incoming message arrived over an X.400 link.
    `READ` The message is marked as having been read.
    `READ_REPORT_PENDING` A read report needs to be sent for the message.
    `RESEND` The message includes a request for a resend operation with a nondelivery report.
    `SUBMIT` The message is marked for sending as a result of a call to IMessage::SubmitMessage.
    `UNMODIFIED` The outgoing message has not been modified since the first time that it was saved; the incoming message has not been modified since it was delivered.
    `UNSENT` The message is still being composed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASSOCIATED

          public static final MessageFlag ASSOCIATED

      The message is an associated message of a folder.

    - #### FROM_ME

          public static final MessageFlag FROM_ME

      The messaging user sending was the messaging user receiving the message.

    - #### HAS_ATTACHMENT

          public static final MessageFlag HAS_ATTACHMENT

      The message has at least one attachment.

    - #### NON_READ_REPORT_PENDING

          public static final MessageFlag NON_READ_REPORT_PENDING

      A nonread report needs to be sent for the message.

    - #### ORIGIN_INTERNET

          public static final MessageFlag ORIGIN_INTERNET

      The incoming message arrived over the Internet.

    - #### ORIGIN_MISC_EXTERNAL

          public static final MessageFlag ORIGIN_MISC_EXTERNAL

      The incoming message arrived over an external link other than X.400 or the Internet.

    - #### ORIGIN_X400

          public static final MessageFlag ORIGIN_X400

      The incoming message arrived over an X.400 link.

    - #### READ

          public static final MessageFlag READ

      The message is marked as having been read.

    - #### RESEND

          public static final MessageFlag RESEND

      The message includes a request for a resend operation with a nondelivery report.

    - #### READ_REPORT_PENDING

          public static final MessageFlag READ_REPORT_PENDING

      A read report needs to be sent for the message.

    - #### SUBMIT

          public static final MessageFlag SUBMIT

      The message is marked for sending as a result of a call to IMessage::SubmitMessage.

    - #### UNMODIFIED

          public static final MessageFlag UNMODIFIED

      The outgoing message has not been modified since the first time that it was saved; the incoming message has not been modified since it was delivered.

    - #### UNSENT

          public static final MessageFlag UNSENT

      The message is still being composed. It is saved, but has not been sent.

  - ### Method Detail

    - #### values

          public static MessageFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageFlag c : MessageFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageFlag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null